Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223790 - Font handling in Impress stinks.
Summary: Font handling in Impress stinks.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 14:41 UTC by Daniel Walsh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-01 15:28:45 UTC


Attachments (Terms of Use)

Description Daniel Walsh 2007-01-22 14:41:55 UTC
Description of problem:

Every time I try to use Impress, my fonts seem to get all screwed up.  Importing
slides from other presentations, seems to get a mixed bag of fonts and cleaning
them up is very time consuming.  Having the ability to select a general font for
the entire presentation and then applying it to all slides would be great.

Also when entering a bunch of bullets.  If I hit a tab, the font should
automatically decrease the size of the font.  This is the way Powerpoint works.
 I spend entirely too much time shrinking font sizes.

Comment 1 Caolan McNamara 2007-01-22 14:54:40 UTC
Well, tab by default does automatically change the text from style "Outline X"
to "Outline X+1" and the default font sizes for "Outline 1"/2/3/4/... sizes are
32/28/24/20/... (F11, check styles) so pressing tab does decrease the font size
by default. And dragging slides from one presentation to another should "just
work"(tm), so I'd have to see an example of one of the problems to see if there
is a problem, and if so what I can do to fix it. 

Comment 2 Caolan McNamara 2007-01-25 09:27:47 UTC
Have you a slide that demos your problems for me to look at, I don't have a
general problem with reducing bullet point font size through tab to promote
bullet level, and it's likely that the slide import issue could be explained
through hard formatted text vs text inheriting it's attributes through styles,
where the hard formatted text remains the same from one presentation to the
other, while the style based ones would inherit from the destination
presentation and change formatting as expected if the destination presentation
has different style attributes than the source presentation.


Note You need to log in before you can comment on or make changes to this bug.